package com.miaxis.coach.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * pc教练评价对象
 *
 * @author wwl
 * @date 2020-1-21
 */
@Data
@ApiModel(value = "CoachEvaluate", description = "pc教练评价对象")
public class CoachEvaluatePcVO {
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /** 用户名 */
    @ApiModelProperty(value = "用户名")
    private String userName;

    /** 用户手机号 */
    @ApiModelProperty(value = "用户手机号")
    private String userPhone;

    @ApiModelProperty(value = "评价内容")
    private String content;

    @ApiModelProperty(value = "总体星级1-5")
    private Long totelStars;

    @ApiModelProperty(value = "是否匿名：0 :公开  1匿名")
    private Integer isAnonymous;

    @ApiModelProperty(value = "状态   0：启用 1：禁用")
    private String status;

    @ApiModelProperty(value = "创建时间"  ,hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
